Replaces the complete set of enabled VAST tracking events for the specified entity.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/banner/{id}/vast/events.do
Replaces the complete set of enabled VAST tracking events for the specified entity. The request body must contain a JSON array of VAST event name strings (e.g., AD_START, AD_COMPLETE, AD_MUTE). Any event not included in the array will be disabled; events included will be enabled. The entity must be a video-type entity. The caller must have update permissions on the entity.
Path Params
idintegerrequired
The unique numeric identifier of the entity to update VAST events for
5001
Body
A JSON body. An example, built from the field definitions:
[
"string"
]
Responses
200
VAST tracking events updated successfully
400
Invalid event name or entity is not a video placement
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/banner/5001/vast/events.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
request.Content = new StringContent("[\"AD_START\"]", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());